\version "2.21.0"

transpInstr = c     % default set to c in -common.ily
transpCb = c,

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "Kontrabaß"
}

\paper {
    indent = 10
    short-indent = 10
    page-count = #10    % finalize
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    \autoPageBreaksOff  % Yuck
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*50 |
    \barNumberCheck # 61
    \pageBreak
    s2*10 |
    \barNumberCheck # 71
    \noBreak
    s2*31 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*14 |
    \barNumberCheck # 118
    % \break
    s2.*19 |
    \barNumberCheck # 137
    \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*20 |
    \barNumberCheck # 196
    \pageBreak
    s4.*5 |
    \barNumberCheck # 201
    \noBreak
    s4.*7 |
    \barNumberCheck # 208
    \break
    s4.*10 |
    \barNumberCheck # 218
    \break
    s4.*8 |
    \barNumberCheck # 226
    \break
    s4.*4 |
    s4.*28 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { \ottava #0 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #UP { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { s1 | \ottava #0 }
    \barNumberCheck # 4
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*18 |
    \barNumberCheck # 29
    \at 4. -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #UP { s2*2 | }
    \cueDuring mvtIvc #DOWN { s2*1 | }
    \barNumberCheck # 32
    s2*9 |
    \barNumberCheck # 41
    #(ly:expect-warning "omitting tuplet bracket with neither left nor right bound")
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #UP { \tuplet 3/2 { s8 \ottava 1 s4 } s4 | s4 \ottava 0 } s4 |
    \barNumberCheck # 43
    s2*3 |
    \barNumberCheck # 46
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { s2 | }
    \barNumberCheck # 47
    s2*53 |
    \barNumberCheck # 100
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { s2*2 | }
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*18 |
    \barNumberCheck # 122
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { \ottava 1 s2.*4 | \ottava 0 }
    \barNumberCheck # 126
    s2.*15 |
    \barNumberCheck # 141
    \at 4. -\offset X-offset #-1.5 ^\markup\normalsize\line{Violoncello (get.)}
    <<
        { \voiceOne \dynamicUp \teeny \quoteDuring mvtIvc { s2.*4 | } \oneVoice \dynamicNeutral \normalsize }
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIvchII { s2.*3 | s4. } }
    >>
    \barNumberCheck # 145
    s2.*10 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIvc #UP { s2.*3 | }
    \barNumberCheck # 158
    s2.*12 |
    \barNumberCheck # 170
    #(ly:expect-warning "unterminated slur")
    \at 16*9 -\offset X-offset #-1.5 ^\markup\line{Fg.,Bklr.}
    \cueDuring mvtIfgI #UP { s2.*3 | }
    \barNumberCheck # 173
    s2.*3 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*10 |
    \barNumberCheck # 186
    \at 8. -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #UP { s8. \ottava 1 s | s4 \ottava 0 s8 | }
    \barNumberCheck # 188
    s4.*30 |
    \barNumberCheck # 218
    \set Staff.shortInstrumentName = "Übr."
    s4.*17 |
    \barNumberCheck # 235
    \set Staff.shortInstrumentName = ""
    s4.*17 |
    \barNumberCheck # 252
    <>-\offset X-offset #-1.5 ^\markup\column{Violoncello \tiny\PZ}
    \cueDuring mvtIvc #UP { s4. | s8 } s4 |
    \barNumberCheck # 254
    s4.*4 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIcb ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIIcbSolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \transpose c, c \mvtIcbSolo
        >>
        \new Staff = mvtIIcbSolo \with {
            instrumentName = "2.Solo"
            shortInstrumentName = "2.Solo"
            \RemoveAllEmptyStaves
        } <<
            \transpose c, c \mvtIcbSoloII
        >>
        \new Staff = mvtIcb \with {
        } \context Bottom <<
            \transpose c, c \mvtIcb
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*26 |
    \barNumberCheck # 104
    \pageTurn
    s2.*11 |
    \barNumberCheck # 115
    \break
    s2.*18 |
    \barNumberCheck # 133
    \break
    s2.*3 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*29 |
    \barNumberCheck # 187
    \noBreak
    s1*9 |
    \barNumberCheck # 196
    \pageTurn
    s1*5 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*9 |
    \barNumberCheck # 223
    \noBreak
    s1*8 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    % \time 3/4
    s2.*22 |
    \barNumberCheck # 23
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #UP { s2.*4 | }
    \barNumberCheck # 27
    s2.*17 |
    \barNumberCheck # 44
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 2 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*5 |
    \barNumberCheck # 57
    \at 8. -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #UP { \at 8. ^\PZ s2.*4 | }
    \barNumberCheck # 61
    s2.*2 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. s8. s4. | s1 | s4. } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 8 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #UP { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 | \ottava 0 }
    \barNumberCheck # 96
    s2.*15 |
    \barNumberCheck # 111
    <>-\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtIItromI #UP { s2.*4 | }
    \barNumberCheck # 115
    s2.*7 |
    \barNumberCheck # 122
    \set GrandStaff.shortInstrumentName = "Übr."
    s2.*5 |
    \barNumberCheck # 127
    \set GrandStaff.shortInstrumentName = ""
    s2.*9 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s1*6 | \ottava 0 }
    \barNumberCheck # 148
    s1*10 |
    \barNumberCheck # 158
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #DOWN { s1*5 | s4 } s2. |
    \barNumberCheck # 164
    s1*15 |
    \barNumberCheck # 179
    \at 8*5 -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #DOWN { s1*2 | }
    \cueDuring mvtIIvc #UP { s1*2 | }
    \barNumberCheck # 183
    s1*13 |
    \barNumberCheck # 196
    \at 4 -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #UP {
        s1*2 |
        \cueClef tenor
        s1*3 |
        \barNumberCheck # 201
        % \time 3/4
        s2.*3 |
        \cueClefUnset
    }
    \barNumberCheck # 204
    s2.*10 |
    \barNumberCheck # 214
    % \time 4/4
    s1*4 |
    \barNumberCheck # 218
    \set GrandStaff.shortInstrumentName = "Übr."
    s1 |
    \barNumberCheck # 219
    \at 2. -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIIvlnI #UP { s2. \ottava 1 s4 | s1*2 | s4 \ottava 0 s4 } s2 |
    \barNumberCheck # 223
    s1 |
    \set GrandStaff.shortInstrumentName = ""
    s1*5 |
    \barNumberCheck # 229
    \temporary \override MultiMeasureRest.staff-position = #-8
    \at 2. -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIIvlnI #UP { s2. \ottava 1 s4 \ottava 0 | }
    s1 |
    \barNumberCheck # 231
    \revert MultiMeasureRest.staff-position
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIcb ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIcbSolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \transpose c, c \mvtIIcbSolo
        >>
        \new GrandStaff \with {
        } <<
            \new Staff = mvtIIcb \with {
            } \context Bottom <<
                \transpose c, c \mvtIIcb
                \cuesII
            >>
            \new Staff = mvtIIcbhII \with {
                \RemoveAllEmptyStaves
            } <<
                \transpose c, c \mvtIIcbhII
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}

%{
\includeOnce "last-page-copyright.ily"

% \markup\vspace #22.0
\hauptStimmeExplain
\markup\vspace #0.0
%}
