\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

transpInstr = f,     % default set to c in -common.ily


\header {
    instrument = "2. Horn (F)"
}

\paper {
    page-count = #8    % finalize
    ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*54 |
    \barNumberCheck # 65
    \noBreak
    s2*37 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*33 |
    \barNumberCheck # 137
    \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*25 |
    \barNumberCheck # 201
    \repeat unfold 2 { \noBreak s4. | }
    s4.*55 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { \ottava 0 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #UP { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { s1 | \ottava 0 }
    \barNumberCheck # 4
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*4 |
    \barNumberCheck # 15
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #UP { s2*2 | }
    \barNumberCheck # 17
    s2*11 |
    \barNumberCheck # 28
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { \ottava 1 s2*2 | \ottava 0 }
    \barNumberCheck # 30
    s2*11 |
    \barNumberCheck # 41
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #UP { s2*5 | }
    \barNumberCheck # 46
    s2*17 |
    \barNumberCheck # 63
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #UP { s2*9 | }
    \barNumberCheck # 72
    s2*12 |
    \barNumberCheck # 84
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s8 \ottava 1 s4. | s2*7 | s4. \ottava 0 s8 | }
    \barNumberCheck # 93
    s2*9 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s2.*1 | }
    \cueDuring mvtIclrI #DOWN { s2.*2 | }
    \barNumberCheck # 107
    s2.*19 |
    \barNumberCheck # 126
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #DOWN { s8 \ottava 1 s4 s4. | s2. | }
    \cueDuring mvtIflI #UP { s2.*2 | s2 \ottava 0 s4 | }
    \barNumberCheck # 131
    s2.*9 |
    \barNumberCheck # 140
    \at 2. \temporary \override MultiMeasureRest.staff-position = #-8
    \at 16*7 -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #UP { s4. s16 \ottava 1 s16 s4 | s4. s16 \ottava 0 s16 s4 | }
    \barNumberCheck # 142
    \revert MultiMeasureRest.staff-position
    s2.*5 |
    \barNumberCheck # 147
    \at 16*7 -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #UP { s4. s16 \ottava 1 s16 s4 | s4. \ottava 0 } s4. |
    \barNumberCheck # 149
    s2.*18 |
    \barNumberCheck # 167
    <>-\offset X-offset #-1.5 ^\markup{Tuba}
    \cueDuring mvtItuba #DOWN { s2.*2 | }
    \barNumberCheck # 169
    s2.*7 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*8 |
    \barNumberCheck # 184
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{3.4.Horn}
    \cueDuring mvtIhrnIII #DOWN { s4.*4 | }
    \barNumberCheck # 188
    \revert MultiMeasureRest.staff-position
    s4.*12 |
    \barNumberCheck # 200
    <>-\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtItromI #DOWN { s4.*6 | }
    \barNumberCheck # 206
    s4.*29 |
    \barNumberCheck # 235
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #DOWN { s4.*5 | }
    \barNumberCheck # 240
    s4.*18 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIhrnII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIhrnII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIhrnII
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*38 |
    \barNumberCheck # 39
    \pageTurn
    s2.*24 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*58 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*11 |
    \barNumberCheck # 169
    \pageTurn
    s1*32 |
    \barNumberCheck # 201
    % \time 3/4
    \noBreak
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."}
    \cueDuring mvtIIvc #DOWN { s4. } s4. |
    \barNumberCheck # 2
    s2.*37 |
    \barNumberCheck # 39
    #(ly:expect-warning "cannot end slur")
    \at 16 -\offset X-offset #-1.5 ^\markup\column{"Bklr.,Fag." "(Sax.,Klar.)"}
    \cueDuring mvtIIfgI #UP { s2.*2 | }
    \cueDuring mvtIIfgI #DOWN { s2.*3 | }
    \barNumberCheck # 44
    s2.*9 |
    \barNumberCheck # 53
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIIasax #UP { s2.*2 | }
    \barNumberCheck # 55
    s2.*8 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated tie")
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s1*5 | }
    \barNumberCheck # 78
    \revert MultiMeasureRest.staff-position
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s1*5 | s2. \ottava 0 s4 | }
    \barNumberCheck # 148
    s1*5 |
    \barNumberCheck # 153
    \at 2. -\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2. \ottava 0 s4 | s1*3 | \ottava 0 }
    \barNumberCheck # 157
    s1*12 |
    \barNumberCheck # 169
    <>-\offset X-offset #-1.5 ^\markup\line{1.Posaune}
    \cueDuring mvtIItromI #DOWN { s1*9 | }
    \barNumberCheck # 178
    s1*23 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*5 |
    \barNumberCheck # 219
    #(ly:expect-warning "unterminated slur")
    \at 2. -\offset X-offset #-1.5 ^\markup\line{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*10 | }
    \barNumberCheck # 229
    s1*2 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIhrnII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIhrnII \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIIhrnII
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}
